gstreamermm 1.10.0

Static Public Member Functions | List of all members
Gst::MessageElement Class Reference

An element specific message. More...

`#include <gstreamermm/message.h>`

Inheritance diagram for Gst::MessageElement:
[legend]

## Static Public Member Functions
static Glib::RefPtr< Gst::MessageElement > | create (const Glib::RefPtr< Gst::Object >& src, Gst::Structure&& structure)
| Create a new element-specific message. More...
static Glib::RefPtr< Gst::MessageElement > | create (const Glib::RefPtr< Gst::Object >& src)
| A create() convenience overload. More...
static Glib::RefPtr< Gst::MessageElement > | create (const Glib::RefPtr< Gst::Object >& src, const Gst::Structure& structure)
| Create a new element-specific message. More...

## Additional Inherited Members
Public Types inherited from Gst::MiniObject
typedef sigc::slot< void > | SlotFinalizer
Public Member Functions inherited from Gst::Message
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMessage* | gobj ()
| Provides access to the underlying C instance. More...
const GstMessage* | gobj () const
| Provides access to the underlying C instance. More...
GstMessage* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| Message ()=delete
| Message (const Message&)=delete
Message& | operator= (const Message&)=delete
Gst::Structure | get_structure () const
| Access the structure of the message. More...
Glib::RefPtr< Gst::Message > | create_writable ()
| Checks if a message is writable. More...
guint32 | get_seqnum () const
| Retrieve the sequence number of a message. More...
void | set_seqnum (guint32 seqnum)
| Set the sequence number of a message. More...
Glib::RefPtr< Gst::Message > | copy () const
| Creates a copy of the message. More...
MessageType | get_message_type () const
| Get the GstMessageType of message. More...
Gst::ClockTime | get_timestamp () const
| Get the timestamp of message. More...
Glib::RefPtr< Gst::Object > | get_source ()
| Get the object that posted the message. More...
Glib::RefPtr< const Gst::Object > | get_source () const
bool | has_name (const Glib::ustring& name) const
| Checks if message has the given name. More...
Public Member Functions inherited from Gst::MiniObject
void | reference () const
| Increment the reference count for this object. More...
void | unreference () const
| Decrement the reference count for this object. More...
GstMiniObject* | gobj ()
| Provides access to the underlying C instance. More...
const GstMiniObject* | gobj () const
| Provides access to the underlying C instance. More...
GstMiniObject* | gobj_copy () const
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
| MiniObject ()=delete
| MiniObject (const MiniObject&)=delete
MiniObject& | operator= (const MiniObject&)=delete
| ~MiniObject ()
guint | get_flags () const
void | set_flags (const guint& value)
gint | get_refcount () const
gint | get_lockstate () const
bool | lock (LockFlags flags)
| Lock the mini-object with the specified access mode in flags. More...
void | unlock (LockFlags flags)
| Unlock the mini-object with the specified access mode in flags. More...
bool | is_writable () const
| If mini_object has the LOCKABLE flag set, check if the current EXCLUSIVE lock on object is the only one, this means that changes to the object will not be visible to any other object. More...
Glib::RefPtr< MiniObject > | create_writable ()
| Checks if a mini-object is writable. More...
void | set_qdata (GQuark quark, QuarkData* data)
| This sets an opaque, named pointer on a miniobject. More...
QuarkData* | get_qdata (GQuark quark) const
| This function gets back user data pointers stored via set_qdata(). More...
QuarkData* | steal_qdata (GQuark quark)
| This function gets back user data pointers stored via set_qdata() and removes the data from object without invoking its destroy() function (if any was set). More...
void | add_finalize_notifier (const SlotFinalizer& slot)
| Adds notifier when mini object is finalized. More...
void | remove_finalize_notifier ()
| Remove finalize notifier. More...
Protected Member Functions inherited from Gst::Message
void | operator delete (void*, std::size_t)
Protected Member Functions inherited from Gst::MiniObject
void | operator delete (void*, std::size_t)
Related Functions inherited from Gst::Message
Glib::RefPtr< Gst::Message > | wrap (GstMessage* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...
Related Functions inherited from Gst::MiniObject
Glib::RefPtr< Gst::MiniObject > | wrap (GstMiniObject* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Detailed Description

An element specific message.

See create() for more details.

## Member Function Documentation

## ◆ create() [1/3]

static Glib::RefPtr<Gst::MessageElement> Gst::MessageElement::create | ( | const Glib::RefPtr< Gst::Object >& | src | ) |
| static

A create() convenience overload.

## ◆ create() [2/3]

static Glib::RefPtr<Gst::MessageElement> Gst::MessageElement::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | const Gst::Structure& | structure
| ) |  |
| static

Create a new element-specific message.

This is meant as a generic way of allowing one-way communication from an element to an application, for example "the firewire cable was unplugged". The format of the message should be documented in the element's documentation. The structure field can be `0`.

Parameters

  src | The object originating the message.
  structure | The structure for the message. The message will take ownership of the structure.

Returns
  The new element message.

MT safe.

## ◆ create() [3/3]

static Glib::RefPtr<Gst::MessageElement> Gst::MessageElement::create | ( | const Glib::RefPtr< Gst::Object >& | src,
|  | Gst::Structure&& | structure
| ) |  |
| static

Create a new element-specific message.

This is meant as a generic way of allowing one-way communication from an element to an application, for example "the firewire cable was unplugged". The format of the message should be documented in the element's documentation. The structure field can be `nullptr`.

Parameters

  src | The object originating the message.
  structure | The structure for the message. The message will take ownership of the structure.

Returns
  The new element message.

MT safe.